### Hierarchy

- XmlComponent
  - TableCellProperties

## Index

### Constructors

- constructor

### Accessors

- Borders
- IsDeleted

### Methods

- addChildElement
- addGridSpan
- addVerticalMerge
- delete
- prepForXml
- setShading
- setVerticalAlign
- setWidth

## Constructors

### constructor

- new TableCellProperties(): TableCellProperties

- Overrides XmlComponent.constructor

  - Defined in file/table/table-cell/table-cell-properties.ts:17

  #### Returns TableCellProperties

## Accessors

### Borders

- get Borders(): TableCellBorders

- - Defined in file/table/table-cell/table-cell-properties.ts:25

  #### Returns TableCellBorders

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addGridSpan

- addGridSpan(cellSpan: number): TableCellProperties

- - Defined in file/table/table-cell/table-cell-properties.ts:29

  #### Parameters

  - ##### cellSpan: number

  #### Returns TableCellProperties

### addVerticalMerge

- addVerticalMerge(type: VMergeType): TableCellProperties

- - Defined in file/table/table-cell/table-cell-properties.ts:35

  #### Parameters

  - ##### type: VMergeType

  #### Returns TableCellProperties

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### setShading

- setShading(attrs: ITableCellShadingAttributesProperties): TableCellProperties

- - Defined in file/table/table-cell/table-cell-properties.ts:53

  #### Parameters

  - ##### attrs: ITableCellShadingAttributesProperties

  #### Returns TableCellProperties

### setVerticalAlign

- setVerticalAlign(type: VerticalAlign): TableCellProperties

- - Defined in file/table/table-cell/table-cell-properties.ts:41

  #### Parameters

  - ##### type: VerticalAlign

  #### Returns TableCellProperties

### setWidth

- setWidth(width: string | number, type?: WidthType): TableCellProperties

- - Defined in file/table/table-cell/table-cell-properties.ts:47

  #### Parameters

  - ##### width: string | number

  - ##### Default value type: WidthType = WidthType.AUTO

  #### Returns TableCellProperties

Generated using TypeDoc